## NAME

d.scale - Overlays a bar scale and north arrow for the current geographic region at a user-defined location in the active display frame.
(GRASS Display Program)

## SYNOPSIS

d.scale
d.scale help
d.scale [-m] [bcolor=name] [tcolor=name] [at=x,y]

## DESCRIPTION

d.scale overlays a bar scale and north arrow for the current geographic region at a user-defined location in the active display frame. The scale and north arrow are proportioned to fit in the active frame when placed along the frame's left edge.

The user can specify the location of the scale and north arrow interactively (using a mouse), or provide the geographic coordinates at which they will be placed. The scale and north arrow will only overwrite those portions of the graphics display that lie directly beneath them.

The user can also specify the colors in which the scale and north arrow will be drawn. By default, if unspecified by the user, a white scale and north arrow will be displayed on a black background.

## OPTIONS

The user can run this program either non-interactively or interactively. The program will be run non-interactively if the user specifies program parameter values and desired flag settings on the command line, using the form:

  d.scale [-m] [bcolor=name] [tcolor=name] [at=x,y]

If at least one parameter value is given on the command line and the -m flag is not set, the program will be run non-interactively; any other parameter values left unspecified on the command line will be set equal to their default values (see below). Alternately, the user can simply type d.scale on the command line, without program arguments. In this case, the user will be prompted for needed parameter values and the flag setting using the standard GRASS parser interface. If the user sets the -m flag, d.scale will expect the user to designate the scale's location interactively, using the mouse.

### Flag:

-m
  Use the mouse to interactively place the location of the scale and north arrow.

### Parameters:

bcolor=name
  Set the background color underlying the scale and north arrow to name.
  Options: red, orange, yellow, green, blue, indigo, violet, gray, brown, magenta, white, and black
  Default: black
tcolor=name
  Set the foreground color in which the text, scale, and north arrow are displayed to name.
  Options: Same as bcolor colors.
  Default: white
at=x,y
  The map easting (x) and northing (y) geographic coordinates designating the location at which the upper left corner of the scale is to be placed. The user should choose geographic coordinates located within the current geographic region (see d.where and g.region for these coordinates).
  Default: 0.0,0.0

## NOTES

d.scale assumes that layer units are in meters.

The scale that d.scale generates is probably not suitable for very tiny maps (in small display frames).

## SEE ALSO

d.barscale
d.legend
d.measure
d.what.rast
d.what.sites
d.what.vect
d.where
g.region
parser

## AUTHOR

James Westervelt, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:33 $